Bug 3212 - Wrong permissions for the /usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/top_level.txt
: Wrong permissions for the /usr/lib/python2.7/site-packages/python_dateutil-2....
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-25 19:39 MSK by Alex Sokolov
Modified: 2013-11-27 21:33 MSK (History)
1 user (show)

See Also:
RPM Package: python-dateutil
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Sokolov 2013-11-25 19:39:23 MSK
Description of problem:
When I try to run jekyll I have an error:
Liquid Exception: Failed to get header. in _posts/2013-11-25-welcome-to-jekyll.markdown

Despite the fact that jekyll is written on ruby, it uses python script (/usr/lib/ruby/gems/1.9.1/gems/pygments.rb-0.5.4/lib/pygments/mentos.py). And the bug is an incorrect rights on the /usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/top_level.txt file. 
This file has permissions as 600, so it is readable only for root. When I did:
chmod a+r /top_level.txt 
jekyll works well for me.
Comment 1 Denis Silakov 2013-11-26 11:51:16 MSK
Thanks. Permisisons for all files inside python_dateutil-2.1-py2.7.egg-info have been fixed. The updated package is being built now, will be available in repositories soon.
Comment 2 Alex Sokolov 2013-11-27 19:32:59 MSK
Would be good to add, the permissions check to ABF. This is a common bug. 
When I run the "sudo find /usr -type f -user root -perm 600" command I get following list of files 

/usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/python_dateutil-2.1-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/dateutil/zoneinfo/zoneinfo--latest.tar.gz
/usr/share/icons/oxygen/16x16/devices/win_umount.png
/usr/share/doc/quota/ldap-scripts/setquota-ldap.pl
/usr/share/doc/xroot/example.ask
/usr/share/doc/xroot/002.wiki
/usr/share/doc/xroot/004.wiki
/usr/share/doc/xroot/001.wiki
/usr/share/doc/xroot/005.wiki
/usr/share/doc/xroot/003.wiki
/usr/share/doc/bonk/README
/usr/share/doc/bonk/COPYING
/usr/share/doc/tcb/LICENSE
/usr/share/doc/mac/ChangeLog
/usr/share/doc/mac/NEWS
/usr/share/doc/mac/License.htm
/usr/share/doc/mac/ChangeLog.shntool
/usr/share/doc/mac/README
/usr/share/doc/mac/COPYING
/usr/share/doc/mac/AUTHORS
/usr/share/doc/python-dateutil/NEWS
/usr/share/doc/python-dateutil/LICENSE
/usr/share/doc/python-dateutil/README 

 	
On Ubuntu I have not such files at all.
Comment 3 Denis Silakov 2013-11-27 21:33:12 MSK
We do have such kind of check, but it is not considered to be crucial and doesn't stop the build (unless you have more than 50 files non-readable by user in a pakcage).

There is even some statistics here:

http://fba.rosalinux.ru/rpmlint/problem/rosa2012.1/main/i586/non-readable/

As you can see, the check is rather rough; maybe some of that files should really be non-readble by ordinary user. Though I'd say that files inside /usr/share/doc and /usr/share/man should be always readable, maybe it makes sense to improve rpmbuild/spec-helper to automatically change file permissions for such files when building a package.